#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float u_bloomIntensity;
uniform sampler2D u_bloomTexture;

void main()
{
    vec4 texColor = texture2D(CC_Texture0, v_texCoord);
    vec4 bloomColor = texture2D(u_bloomTexture, v_texCoord);
    
    gl_FragColor = texColor + u_bloomIntensity * bloomColor;
}
