#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform vec4 u_blinkColor;

void main()
{
    float alpha = texture2D(CC_Texture0, v_texCoord).a * v_fragmentColor.a;
    gl_FragColor = vec4(u_blinkColor.r * alpha, u_blinkColor.g * alpha, u_blinkColor.b * alpha, u_blinkColor.a * alpha);
}
