#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float u_heightUnit;

void main()
{
    gl_FragColor = vec4(0.0);
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -u_heightUnit)) * 0.27901;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord) * 0.44198;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, u_heightUnit)) * 0.27901;
    gl_FragColor = gl_FragColor * v_fragmentColor; // Es necesario para oscurecer los rendertexture que utilizan el blur
    
    /*
    gl_FragColor = vec4(0.0);
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -(u_heightUnit*7.0))) * 0.0044299121055113265;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -(u_heightUnit*6.0))) * 0.00895781211794;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -(u_heightUnit*5.0))) * 0.0215963866053;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -(u_heightUnit*4.0))) * 0.0443683338718;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -(u_heightUnit*3.0))) * 0.0776744219933;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -(u_heightUnit*2.0))) * 0.115876621105;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, -u_heightUnit)) * 0.147308056121;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord) * 0.159576912161;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, u_heightUnit)) * 0.147308056121;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, (u_heightUnit*2.0))) * 0.115876621105;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, (u_heightUnit*3.0))) * 0.0776744219933;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, (u_heightUnit*4.0))) * 0.0443683338718;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, (u_heightUnit*5.0))) * 0.0215963866053;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, (u_heightUnit*6.0))) * 0.00895781211794;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord + vec2(0.0, (u_heightUnit*7.0))) * 0.0044299121055113265;
    */
}




