#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform vec2 u_topLeftCorner;
uniform vec2 u_size;
uniform float u_offset;

void main()
{
    float y = (v_texCoord.y - u_topLeftCorner.y) / u_size.y;
    
    gl_FragColor = texture2D(CC_Texture0, vec2(v_texCoord.x + u_offset * y, v_texCoord.y)) * v_fragmentColor;
}
